Debian Bug report logs - #469740
capisuite: Please add LSB formatted dependency info in init.d script

version graph

Package: capisuite; Maintainer for capisuite is Debian QA Group <packages@qa.debian.org>;

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Thu, 6 Mar 2008 20:33:01 UTC

Severity: normal

Tags: patch

Found in version capisuite/0.4.5-3

Fixed in version capisuite/0.4.5-6.2

Done: Peter Eisentraut <petere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, danielpriem@flexserv.de (Daniel J. Priem):
Bug#469740; Package capisuite. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to danielpriem@flexserv.de (Daniel J. Priem). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: capisuite: Please add LSB formatted dependency info in init.d script
Date: Thu, 06 Mar 2008 21:28:53 +0100
Package:  capisuite
Version:  0.4.5-3
Tags:     patch
User:     initscripts-ng-devel@lists.alioth.debian.org
Usertags: missing-dependency

To be able to check boot script order, and also to be able to start
boot scripts in parallel, it is important to know the dependencies of
the various boot scripts.  The Linux Software Base specifies a init.d
header file format useful for this purpose, and adding such header to
the anacron init.d script would make it possible for me to use this
information to check the current sequence and to speed up the debian
boot.

I am working on a system to update the boot sequence based on these
dependencies, and would like see this as the default in Lenny.
Because of this, it is nice if the dependencies was updated quickly.

<URL:http://refspecs.freestandards.org/LSB_2.1.0/LSB-generic/LSB-generic/initscrcomconv.html>
documents the LSB header format.  Some debian notes are available from
<URL:http://wiki.debian.org/LSBInitScripts> and
<URL:http://wiki.debian.org/LSBInitScripts/DependencyBasedBoot>.

Here is a patch to document the dependencies.  I hope this is correct.
Not sure if it depend on the databases to start first or not, nor if
mysql and postgresql are the correct scripts to depend on.

diff -ur capisuite-0.4.5.orig/debian/init.d capisuite-0.4.5/debian/init.d
--- capisuite-0.4.5.orig/debian/init.d  2008-03-06 21:24:35.000000000 +0100
+++ capisuite-0.4.5/debian/init.d       2008-03-06 21:27:03.000000000 +0100
@@ -1,4 +1,11 @@
 #! /bin/sh
+### BEGIN INIT INFO
+# Provides:          capisuite
+# Required-Start:    $remote_fs $syslog
+# Required-Stop:     $remote_fs $syslog
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+### END INIT INFO
 #
 # Script to start/stop capisuite daemon during boot/shutdown or from
 # cardmgr via script from a /etc/pcmcia/<script>

As the stop script do not seem to do much except killing the daemon,
that task might be better left to the sendsigs script in runlevel 0
and 6, to speed up shutdown.  If this is indeed the case, I recommend
removing 0 and 6 from the Default-Stop list.

Happy hacking,
--
Petter Reinholdtsen




Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 469740-close@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 469740-close@bugs.debian.org
Subject: Bug#469740: fixed in capisuite 0.4.5-6.2
Date: Wed, 02 Apr 2008 10:02:12 +0000
Source: capisuite
Source-Version: 0.4.5-6.2

We believe that the bug you reported is fixed in the latest version of
capisuite, which is due to be installed in the Debian FTP archive:

capisuite_0.4.5-6.2.diff.gz
  to pool/main/c/capisuite/capisuite_0.4.5-6.2.diff.gz
capisuite_0.4.5-6.2.dsc
  to pool/main/c/capisuite/capisuite_0.4.5-6.2.dsc
capisuite_0.4.5-6.2_i386.deb
  to pool/main/c/capisuite/capisuite_0.4.5-6.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 469740@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Eisentraut <petere@debian.org> (supplier of updated capisuite package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 02 Apr 2008 11:42:33 +0200
Source: capisuite
Binary: capisuite
Architecture: source i386
Version: 0.4.5-6.2
Distribution: unstable
Urgency: low
Maintainer: Daniel J. Priem <danielpriem@flexserv.de>
Changed-By: Peter Eisentraut <petere@debian.org>
Description: 
 capisuite  - easy fax and voice box solution for ISDN/CAPI capable devices
Closes: 469740
Changes: 
 capisuite (0.4.5-6.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Added LSB formatted dependency info in init.d script (closes: #469740)
   * Added Homepage control field
Files: 
 252d2281689ba396acd5372b889338fa 778 comm extra capisuite_0.4.5-6.2.dsc
 01b6144195d574f2c8244937ada0f809 32420 comm extra capisuite_0.4.5-6.2.diff.gz
 ee396e637b1dd58aa825938ef6d51044 1125506 comm extra capisuite_0.4.5-6.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH81WvTTx8oVVPtMYRAtpwAKCI6wpcEG09kebrqrzAsbHlirAp/ACeLiqm
3MeOCkI06/kTpawVY0lEk1Y=
=MCfO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 May 2008 07:45:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:47:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.